Jump to content
neoseeyou

HTTPS partout pour ancienne installe ps 1.4.11

Recommended Posts

Bonjour à tous

 

 

J'ai repris la gérance d'une boutique en ligne utilisant une ancienne version de ps 1.4.11 et dont les clients ne veulent pas d'upgrade pour le moment (cela nécessiterait pas mal de boulot)

 

On me demande de mettre le protocole ssl et donc des pages en https mais comme prévu j'ai du non secure content qui empêche le fameux cadenas vert. Pas trop génant sur les pages produits cela l'est plus sur le tunnel de vente.

 

J'ai regardé le css voir si rien n'etait en absolute mais apparemment ce qui gène serait les images produits générés par prestashop

 

Quelqu'un aurait une solution ou astuce? Dois je regénérer les images produits?

 

Toute aide serait la bienvenue

 

Merci

Share this post


Link to post
Share on other sites

Bonjour et merci de votre réponse mais si je le comprends bien votre module force juste le https ? Il ne corrige pas dynamiquement les soucis du contenu non sécurisé

Share this post


Link to post
Share on other sites

Il fait la même chose que l'option SSL Everywhere présente dans les versions suivante de PrestaShop.

 

Donc les liens produit/images/... issus de PrestaShop sont correctement générés en https

 

 

Il ne peut corriger les liens que tu aurais mis en http dans tes pages cms ou produits

Ni corriger ton thème si certaines url y sont mal écrite.

C'est la même chose avec les version ultérieure de Prestashop

Edited by doekia (see edit history)

Share this post


Link to post
Share on other sites

Ok je comprends mieux ;-)

 

Par contre si j'ai des erreurs de non chargement de fichiers JS venant de  plugins (j'ai un module panier ajax qui ne fonctionne plus en https car le navigateur refuse le fichier js et le module so colissimo idem), ton module ne pourra pas me le corriger. Seulement ce qui est généré par prestashop

Share this post


Link to post
Share on other sites

Normalement ces modules devraient utiliser prestashop pour leurs urls, donc ne pas avoir de mixed content ( ce qui fait péter les appels ajax )

Après c'est courant de devoir aller corriger des codes boiteux pour être en https

Edited by doekia (see edit history)

Share this post


Link to post
Share on other sites

D'accord en gros je voulais savoir si j'aurai besoin de corriger cela indépendamment de votre plugin.

 

Je vais donc essayer de corriger ca et puis acheter votre plugin

 

Merci

Share this post


Link to post
Share on other sites

A ta place je commencerais par le patch, comme ça ne reste que les codes non-conforme à régler

Share this post


Link to post
Share on other sites

Pourras tu m'aider le cas échéant alors si je n'arrive pas a corriger les erreurs ?

 

Je bosse quasi exclusivement sur wordpress maintenant et j'avoue que presta c'est pas la meme histoire ;-)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More